---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Get Observations

Retrieves the last reported observations for a single device for given set of observation ids.  

Find available observations in the [Charger Observation Ids](https://developer.easee.com/docs/charger-observation-ids) and [Equalizer Observation Ids](https://developer.easee.com/docs/equalizer-observations) overview.

Rate limit: 100 requests per 5 minutes. A temporary rate limit of 500 requests per 5 minutes is set in the period 03.09.2026 - 21.09.2026

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Observations",
      "description": "Observations reported by devices.",
      "x-displayName": "Observations"
    }
  ],
  "paths": {
    "/state/{serialNumber}/observations": {
      "get": {
        "tags": [
          "Observations"
        ],
        "summary": "Get Observations",
        "description": "Retrieves the last reported observations for a single device for given set of observation ids.  \n\nFind available observations in the [Charger Observation Ids](https://developer.easee.com/docs/charger-observation-ids) and [Equalizer Observation Ids](https://developer.easee.com/docs/equalizer-observations) overview.\n\nRate limit: 100 requests per 5 minutes. A temporary rate limit of 500 requests per 5 minutes is set in the period 03.09.2026 - 21.09.2026",
        "operationId": "getobservations",
        "parameters": [
          {
            "name": "serialNumber",
            "in": "path",
            "required": true,
            "description": "Serial Number of the Device",
            "schema": {
              "type": "string"
            },
            "x-position": 1
          },
          {
            "name": "ids",
            "in": "query",
            "required": true,
            "description": "Observation ids",
            "schema": {
              "type": "string"
            },
            "x-position": 2
          }
        ],
        "responses": {
          "200": {
            "description": "List of observations",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Current_Device_State_API_MultiObservationResponse"
                },
                "example": {
                  "observations": [
                    {
                      "value": "{\"Id\":1,\"Start\":\"2025-04-21T17:00:21.000Z\",\"Stop\":\"2025-04-21T05:27:11.000Z\",\"EnergyKwh\":9.134645,\"MeterValueStart\":82.11,\"MeterValueStop\":123.73,\"Auth\":\"\",\"AuthReason\":0}",
                      "id": 129,
                      "timestamp": "2026-10-08T20:03:42.417Z",
                      "dataType": 6
                    },
                    {
                      "value": 73,
                      "id": 150,
                      "timestamp": "2026-10-08T20:03:42.417Z",
                      "dataType": 4
                    },
                    {
                      "value": false,
                      "id": 103,
                      "timestamp": "2026-10-08T20:03:42.417Z",
                      "dataType": 2
                    },
                    {
                      "value": 1.23,
                      "id": 121,
                      "timestamp": "2026-10-08T20:03:42.417Z",
                      "dataType": 3
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Current_Device_State_API_Observation": {
        "type": "object",
        "x-abstract": true,
        "additionalProperties": false,
        "required": [
          "id",
          "timestamp",
          "dataType"
        ],
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "maximum": 65535,
            "minimum": 1
          },
          "timestamp": {
            "type": "string",
            "format": "date-time",
            "minLength": 1
          },
          "dataType": {
            "$ref": "#/components/schemas/Current_Device_State_API_IotDataType"
          }
        }
      },
      "Current_Device_State_API_IotDataType": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Boolean",
          "Double",
          "Integer",
          "Position",
          "String"
        ],
        "enum": [
          2,
          3,
          4,
          5,
          6
        ]
      },
      "Current_Device_State_API_MultiObservationResponse": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "observations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Current_Device_State_API_Observation"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```